Subject: bug#28405: Inhibit auto-fill & LaTeX-indent-environment-list

From: [email-masked]
Date: Sun, 10 Sep 2017 13:10:30 +0200

Dear All,

– Not really a bug:

I have auto-fill mode on when editing tex files in LaTeX mode. I'd like to inhibit the fill functions within math environments like "equation", "gather", "align", though.

One way to achieve this is given by Thomas here:

https://tex.stackexchange.com/questions/69555/i-want-to-disable-auto-fill-mode-when-editing-equations#11480465

This solution works with "equation" and "align", but strangely not with "gather" and "multline". The reason, I think, is that the latter are not included in LaTeX-indent-environment-list in its standard/global value, while "align" and "equation" are. I can customize and include them manually, but is there a reason why gather and multline aren't included?

Cheers,
J